import React, { useEffect } from "react";
import { useModel } from "umi";
import Navigator from "@/pages/er/components/Navigator";
export default function ER(props: { showNavigator: boolean }) {
  const contianerRef = React.useRef<HTMLDivElement>(null);
  const { graph, project, initGraph } = useModel("erModel");

  useEffect(() => {
    initGraph(
      contianerRef.current!,
      contianerRef.current?.clientWidth!,
      contianerRef.current?.clientHeight!
    );
  }, []);
  return (
    <div className="w-full h-full relative">
      <div className="w-full h-full" ref={contianerRef} />
      {props.showNavigator && <Navigator />}
    </div>
  );
}
